jokonem 发表于 2006-4-23 10:35:00

如何在VB6中求取两个对象交点的办法

本帖最后由 作者 于 2006-4-27 17:33:40 编辑 <br /><br /> <P>在VB6中如何用样条曲线spline组合成填充区域.线条相交,在CAD操作界面中可以手动填冲,在VB6中如何采用代码来填冲.下面这个示例中用的都是已知交点,用交点重新组合就可以构建填充区域了!</P><PRE class=Code>Sub Example_AppendOuterLoop()
    ' This example creates an associative hatch in model space.
   
    Dim hatchObj As AcadHatch
    Dim patternName As String
    Dim PatternType As Long
    Dim bAssociativity As Boolean
   
    ' Define the hatch
    patternName = "ANSI31"
    PatternType = 0
    bAssociativity = True
   
    ' Create the associative Hatch object
    Set hatchObj = ThisDrawing.ModelSpace.AddHatch(PatternType, patternName, bAssociativity)
   
    ' Create the outer loop for the hatch.
    ' An arc and a line are used to create a closed loop.
    Dim outerLoop(0 To 1) As AcadEntity
    Dim center(0 To 2) As Double
    Dim radius As Double
    Dim startAngle As Double
    Dim endAngle As Double
    center(0) = 5: center(1) = 3: center(2) = 0
    radius = 1
    startAngle = 0
    endAngle = 3.141592
    Set outerLoop(0) = ThisDrawing.ModelSpace.AddArc(center, radius, startAngle, endAngle)
    Set outerLoop(1) = ThisDrawing.ModelSpace.AddLine(outerLoop(0).startPoint, outerLoop(0).endPoint)
      
    ' Append the outer loop to the hatch object, and display the hatch
    hatchObj.AppendOuterLoop (outerLoop)
    hatchObj.Evaluate
    ZoomAll
   
End Sub</PRE><PRE class=Code>&nbsp;</PRE>

jokonem 发表于 2006-4-27 17:29:00

晕死了,最后还是用这个办法解决的。求到交点再重新组合点来构建填冲区域。
页: [1]
查看完整版本: 如何在VB6中求取两个对象交点的办法